<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Detail</title>
</head>
<body>
    <div>
        <h1>{{list_object.name}}</h1>
        <p>
            <a href="{% url 'todo_list_update' list_object.id %}">
                Edit
            </a>
        </p>
        <p>
            <a href="{% url 'todo_list_delete' list_object.id %}">
                Delete
            </a>
        </p>
        <h2>Tasks</h2>
        <table>
            <thead>
                <tr>
                    <th>Task</th>
                    <th>Due date</th>
                </tr>
            </thead>
            <tbody>
                {% for item in list_object.items.all %}
                <tr>
                    <td>
                        <a href="{% url 'todo_item_update' item.id %}">
                        {{item.task}}
                        </a>
                    </td>
                    <td>{{item.due_date|date:"M, d, Y"}}</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </div>
</body>
</html>
